> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Signature

> Retrieves an e-Signature consent document and form that can be presented to and acknowledged by the candidate as part of the onboarding process. If the candidate has already acknowledged it, the response will indicate this as well as provide the `caseDataId` of the acknowledgement, which can be used to retrieve details. These can be used to determine whether the candidate can skip this step if they leave and then continue their onboarding later or on another device, for example.

The e-Signature document can be customized. If a customer-specific version doesn't exist, a default one will be returned.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/id/{caseId}/esig/{language}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/esig/{language}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case.
      - $ref: '#/components/parameters/language'
    get:
      tags:
        - Candidate onboarding
      summary: Get E-Signature
      description: >-
        Retrieves an e-Signature consent document and form that can be presented
        to and acknowledged by the candidate as part of the onboarding process.
        If the candidate has already acknowledged it, the response will indicate
        this as well as provide the `caseDataId` of the acknowledgement, which
        can be used to retrieve details. These can be used to determine whether
        the candidate can skip this step if they leave and then continue their
        onboarding later or on another device, for example.


        The e-Signature document can be customized. If a customer-specific
        version doesn't exist, a default one will be returned.
      operationId: get-case-id-caseId-esig-language
      parameters:
        - name: language
          in: path
          required: true
          schema:
            type: string
          description: The language code (e.g. en-US)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - alreadyAck
                  - title
                  - body
                  - authorizationStatement
                  - authorizationObject
                properties:
                  alreadyAck:
                    type: boolean
                    description: >-
                      True if the candidate already acknowledged the e-Signature
                      document; false otherwise.
                  title:
                    type: string
                    description: Escaped HTML.
                  header:
                    type: string
                    description: Escaped HTML.
                  body:
                    type: string
                    description: Escaped HTML.
                  authorizationStatement:
                    type: string
                    description: Escaped HTML.
                  authorizationObject:
                    type: object
                    required:
                      - sections
                    properties:
                      header:
                        type: string
                      selectionType:
                        enum:
                          - single
                          - multi
                      sections:
                        type: array
                        items:
                          type: object
                          required:
                            - selectionValue
                          properties:
                            title:
                              type: string
                            selectionValue:
                              type: string
                              description: >-
                                The value used when [acknowledging the
                                e-Signature](karma-api-openapi.yaml/paths/~1case~1id~1{caseId}~1esig~1{language}/post).
                              enum:
                                - electronic
                                - manual
                            body:
                              type: string
                  caseDataId:
                    type: string
                    description: Returned only if `alreadyAck` is true.
                    format: uuid
                  signatureType:
                    description: Returned only if `alreadyAck` is true.
                    enum:
                      - electronic
                      - manual
                  signature:
                    type: string
                    description: >-
                      Returned only if `alreadyAck` is true. For candidates who
                      onboarded using KarmaCheck's onboarding experience, this
                      is the value that the candidate entered into the signature
                      input field on the legal step, which might not be exactly
                      the same as the name that the case was ordered under.
              examples:
                Example 1:
                  value:
                    alreadyAck: false
                    title: <div>Electronic Signature Consent</div>
                    body: >-
                      <p>e-signature - As part of the selection process at
                      KarmaCheck, the &quot;Company,&quot; you will need to
                      consent to a background check electronically. By typing
                      your name and clicking in the box below, you are
                      consenting to receive any communications (legally required
                      or otherwise) and all changes to such communications
                      electronically. In order to use the website, you must
                      provide at your own expense an Internet connected device
                      that is compatible with the minimum requirements outlined
                      below. You also confirm that your device will meet these
                      specifications and requirements and will permit you to
                      access and retain the communications electronically each
                      time you access and use the website.</p><p><b>System
                      Requirements to Access Information</b></p><p>To receive
                      and view an electronic copy of the Communications you must
                      have the following equipment and software:</p><ul><li>A
                      personal computer or other device which is capable of
                      accessing the Internet. Your access to this page verifies
                      that your system/device meets these
                      requirements.</li><li>A current version of Chrome,
                      Firefox, or Safari, Internet web browser which supports
                      security industry best practices for HTTPS encrypted
                      communications, JavaScript, and cookies. Your access to
                      this page verifies that your browser meets these
                      requirements.</li></ul><p><b>System Requirements to Retain
                      Information</b></p><p>To retain a copy, you must either
                      have a printer connected to your personal computer or
                      other device or, alternatively, the ability to save a copy
                      through use of printing service or software such as Adobe
                      Acrobat®. If you would like to proceed using paper forms,
                      please choose option 2 below.</p><p><b>Withdrawal of
                      Electronic Acceptance of Disclosures and
                      Notices</b></p><p>You can also contact us to withdraw your
                      consent to receive any future communications
                      electronically, including if the system requirements
                      described above change and you no longer possess the
                      required system. If you withdraw your consent, we will
                      terminate your use of the KarmaCheck, Inc. website and the
                      services provided through the KarmaCheck, Inc.
                      website.</p><p>To ensure that a signature is unique and to
                      safeguard you against unauthorized use of your name, your
                      IP address 130.176.213.149 has been recorded and will be
                      stored along with your electronic signature. Please note
                      that if you wish to submit your Disclosure and
                      Authorization Forms electronically, KarmaCheck, Inc.
                      requires that you include your social security number or
                      user identification. All of your information will be
                      encrypted and transmitted via our secure website.</p>
                    authorizationStatement: >-
                      <form><h3>CHOOSE ONE OF THE FOLLOWING
                      OPTIONS:</h3><h4><label
                      for='signatureTypeElectronic'>Option #1 - Electronic
                      Signature</label></h4><input type='radio' 
                      id='signatureTypeElectronic' name='signatureType'
                      value='electronic'/><label
                      for='signatureTypeElectronic'>I, <input type='text'
                      readonly='' id='electronicName' name='electronicName'
                      value=''/><span>(type full name)</span>, consent to
                      transacting electronically, including receiving legally
                      required notices electronically. I understand that
                      KarmaCheck, Inc. uses computer technology to ensure that
                      my signed documents are not altered after submission. I
                      agree to allow KarmaCheck, Inc. to validate my signed
                      documents in this way.</label><h4><label
                      for='signatureTypeManual'>Option #2 - Manual Signature
                      (will delay your start date)</label></h4><input
                      type='radio'  id='signatureTypeManual'
                      name='signatureType' value='manual'/><label
                      for='signatureTypeManual'>I, <input type='text'
                      readonly='' id='manualName' name='manualName'
                      value=''/><span>(type full name)</span>, <em><strong>do
                      not</strong></em> wish to electronically sign my
                      documents. I will print out and sign paper documents and
                      return them to the Company. I understand this will delay
                      the selection process.</label></form>
                    authorizationObject:
                      header: 'CHOOSE ONE OF THE FOLLOWING OPTIONS:'
                      selectionType: single
                      sections:
                        - title: 'Option #1 - Electronic Signature'
                          selectionValue: electronic
                          body: >-
                            I consent to transacting electronically, including
                            receiving legally required notices electronically. I
                            understand that KarmaCheck, Inc. uses computer
                            technology to ensure that my signed documents are
                            not altered after submission. I agree to allow
                            KarmaCheck, Inc. to validate my signed documents in
                            this way.
                        - title: >-
                            Option #2 - Manual Signature (will delay your start
                            date)
                          selectionValue: manual
                          body: >-
                            I <em><strong>do not</strong></em> wish to
                            electronically sign my documents. I will print out
                            and sign paper documents and return them to the
                            Company. I understand this will delay the selection
                            process.
        '403':
          description: Forbidden
        '404':
          description: The case was not found.
        '422':
          description: The case does not have e-Signature as a requirement.
        '500':
          description: Internal Server Error
components:
  parameters:
    language:
      name: language
      in: path
      required: true
      schema:
        type: string
        enum:
          - en
      description: >-
        The desired language for the legal document. Must be an [ISO
        639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes)
        code. Currently, the only supported value is `en` (English). If an
        unsupported language is requested, the call still succeeds but returns
        an English version of the document.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````